package com.mortals.xhx.module.appointment.model;

import java.util.Date;
import java.util.List;
import com.mortals.xhx.module.appointment.model.AppointmentRecordsEntity;
/**
* 预约签到记录查询对象
*
* @author zxfei
* @date 2023-04-09
*/
public class AppointmentRecordsQuery extends AppointmentRecordsEntity {
    /** 开始 主键ID，主键，自增长 */
    private Long idStart;

    /** 结束 主键ID，主键，自增长 */
    private Long idEnd;

    /** 增加 主键ID，主键，自增长 */
    private Long idIncrement;

    /** 主键ID，主键，自增长列表 */
    private List <Long> idList;

    /** 主键ID，主键，自增长排除列表 */
    private List <Long> idNotList;

    /** 开始 站点Id */
    private Long siteIdStart;

    /** 结束 站点Id */
    private Long siteIdEnd;

    /** 增加 站点Id */
    private Long siteIdIncrement;

    /** 站点Id列表 */
    private List <Long> siteIdList;

    /** 站点Id排除列表 */
    private List <Long> siteIdNotList;

    /** 站点名称 */
    private List<String> siteNameList;

    /** 站点名称排除列表 */
    private List <String> siteNameNotList;
    /** 开始 人员id */
    private Long personIdStart;

    /** 结束 人员id */
    private Long personIdEnd;

    /** 增加 人员id */
    private Long personIdIncrement;

    /** 人员id列表 */
    private List <Long> personIdList;

    /** 人员id排除列表 */
    private List <Long> personIdNotList;

    /** 姓名 */
    private List<String> nameList;

    /** 姓名排除列表 */
    private List <String> nameNotList;
    /** 联系方式 */
    private List<String> contactInfoList;

    /** 联系方式排除列表 */
    private List <String> contactInfoNotList;
    /** 身份证号码 */
    private List<String> idNumberList;

    /** 身份证号码排除列表 */
    private List <String> idNumberNotList;
    /** 预约业务 */
    private List<String> reservationServiceList;

    /** 预约业务排除列表 */
    private List <String> reservationServiceNotList;
    /** 预约编号 */
    private List<String> reservationNumberList;

    /** 预约编号排除列表 */
    private List <String> reservationNumberNotList;
    /** 开始 监测时间 */
    private String monitorTimeStart;

    /** 结束 监测时间 */
    private String monitorTimeEnd;

    /** 开始 监测设备id */
    private Long monitorDeviceIdStart;

    /** 结束 监测设备id */
    private Long monitorDeviceIdEnd;

    /** 增加 监测设备id */
    private Long monitorDeviceIdIncrement;

    /** 监测设备id列表 */
    private List <Long> monitorDeviceIdList;

    /** 监测设备id排除列表 */
    private List <Long> monitorDeviceIdNotList;

    /** 监测设备 */
    private List<String> monitorDeviceList;

    /** 监测设备排除列表 */
    private List <String> monitorDeviceNotList;
    /** 开始 签到方式(0.自动签到，1.手动签到) */
    private Integer checkInMethodStart;

    /** 结束 签到方式(0.自动签到，1.手动签到) */
    private Integer checkInMethodEnd;

    /** 增加 签到方式(0.自动签到，1.手动签到) */
    private Integer checkInMethodIncrement;

    /** 签到方式(0.自动签到，1.手动签到)列表 */
    private List <Integer> checkInMethodList;

    /** 签到方式(0.自动签到，1.手动签到)排除列表 */
    private List <Integer> checkInMethodNotList;

    /** 监测凭证 */
    private List<String> monitorCertificateList;

    /** 监测凭证排除列表 */
    private List <String> monitorCertificateNotList;
    /** 开始 创建人id */
    private Long createUserIdStart;

    /** 结束 创建人id */
    private Long createUserIdEnd;

    /** 增加 创建人id */
    private Long createUserIdIncrement;

    /** 创建人id列表 */
    private List <Long> createUserIdList;

    /** 创建人id排除列表 */
    private List <Long> createUserIdNotList;

    /** 开始 创建时间 */
    private String createTimeStart;

    /** 结束 创建时间 */
    private String createTimeEnd;

    /** 开始 更新人id */
    private Long updateUserIdStart;

    /** 结束 更新人id */
    private Long updateUserIdEnd;

    /** 增加 更新人id */
    private Long updateUserIdIncrement;

    /** 更新人id列表 */
    private List <Long> updateUserIdList;

    /** 更新人id排除列表 */
    private List <Long> updateUserIdNotList;

    /** 开始 更新时间 */
    private String updateTimeStart;

    /** 结束 更新时间 */
    private String updateTimeEnd;

    /** OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4) */
    private List<AppointmentRecordsQuery> orConditionList;

    /** AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4) */
    private List<AppointmentRecordsQuery> andConditionList;

    public AppointmentRecordsQuery(){}

    /**
    * 获取 开始 主键ID，主键，自增长
    * @return idStart
    */
    public Long getIdStart(){
        return this.idStart;
    }

    /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public void setIdStart(Long idStart){
        this.idStart = idStart;
    }

    /**
    * 获取 结束 主键ID，主键，自增长
    * @return $idEnd
    */
    public Long getIdEnd(){
        return this.idEnd;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public void setIdEnd(Long idEnd){
        this.idEnd = idEnd;
    }

    /**
    * 获取 增加 主键ID，主键，自增长
    * @return idIncrement
    */
    public Long getIdIncrement(){
        return this.idIncrement;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public void setIdIncrement(Long idIncrement){
        this.idIncrement = idIncrement;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idList
    */
    public List<Long> getIdList(){
        return this.idList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public void setIdList(List<Long> idList){
        this.idList = idList;
    }

    /**
    * 获取 主键ID，主键，自增长
    * @return idNotList
    */
    public List<Long> getIdNotList(){
        return this.idNotList;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idNotList
    */
    public void setIdNotList(List<Long> idNotList){
        this.idNotList = idNotList;
    }


    /**
    * 获取 开始 站点Id
    * @return siteIdStart
    */
    public Long getSiteIdStart(){
        return this.siteIdStart;
    }

    /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public void setSiteIdStart(Long siteIdStart){
        this.siteIdStart = siteIdStart;
    }

    /**
    * 获取 结束 站点Id
    * @return $siteIdEnd
    */
    public Long getSiteIdEnd(){
        return this.siteIdEnd;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public void setSiteIdEnd(Long siteIdEnd){
        this.siteIdEnd = siteIdEnd;
    }

    /**
    * 获取 增加 站点Id
    * @return siteIdIncrement
    */
    public Long getSiteIdIncrement(){
        return this.siteIdIncrement;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public void setSiteIdIncrement(Long siteIdIncrement){
        this.siteIdIncrement = siteIdIncrement;
    }

    /**
    * 获取 站点Id
    * @return siteIdList
    */
    public List<Long> getSiteIdList(){
        return this.siteIdList;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public void setSiteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
    }

    /**
    * 获取 站点Id
    * @return siteIdNotList
    */
    public List<Long> getSiteIdNotList(){
        return this.siteIdNotList;
    }

    /**
    * 设置 站点Id
    * @param siteIdNotList
    */
    public void setSiteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
    }


    /**
    * 获取 站点名称
    * @return siteNameList
    */
    public List<String> getSiteNameList(){
        return this.siteNameList;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public void setSiteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
    }

    /**
    * 获取 站点名称
    * @return siteNameNotList
    */
    public List<String> getSiteNameNotList(){
        return this.siteNameNotList;
    }

    /**
    * 设置 站点名称
    * @param siteNameNotList
    */
    public void setSiteNameNotList(List<String> siteNameNotList){
        this.siteNameNotList = siteNameNotList;
    }

    /**
    * 获取 开始 人员id
    * @return personIdStart
    */
    public Long getPersonIdStart(){
        return this.personIdStart;
    }

    /**
    * 设置 开始 人员id
    * @param personIdStart
    */
    public void setPersonIdStart(Long personIdStart){
        this.personIdStart = personIdStart;
    }

    /**
    * 获取 结束 人员id
    * @return $personIdEnd
    */
    public Long getPersonIdEnd(){
        return this.personIdEnd;
    }

    /**
    * 设置 结束 人员id
    * @param personIdEnd
    */
    public void setPersonIdEnd(Long personIdEnd){
        this.personIdEnd = personIdEnd;
    }

    /**
    * 获取 增加 人员id
    * @return personIdIncrement
    */
    public Long getPersonIdIncrement(){
        return this.personIdIncrement;
    }

    /**
    * 设置 增加 人员id
    * @param personIdIncrement
    */
    public void setPersonIdIncrement(Long personIdIncrement){
        this.personIdIncrement = personIdIncrement;
    }

    /**
    * 获取 人员id
    * @return personIdList
    */
    public List<Long> getPersonIdList(){
        return this.personIdList;
    }

    /**
    * 设置 人员id
    * @param personIdList
    */
    public void setPersonIdList(List<Long> personIdList){
        this.personIdList = personIdList;
    }

    /**
    * 获取 人员id
    * @return personIdNotList
    */
    public List<Long> getPersonIdNotList(){
        return this.personIdNotList;
    }

    /**
    * 设置 人员id
    * @param personIdNotList
    */
    public void setPersonIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
    }


    /**
    * 获取 姓名
    * @return nameList
    */
    public List<String> getNameList(){
        return this.nameList;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public void setNameList(List<String> nameList){
        this.nameList = nameList;
    }

    /**
    * 获取 姓名
    * @return nameNotList
    */
    public List<String> getNameNotList(){
        return this.nameNotList;
    }

    /**
    * 设置 姓名
    * @param nameNotList
    */
    public void setNameNotList(List<String> nameNotList){
        this.nameNotList = nameNotList;
    }

    /**
    * 获取 联系方式
    * @return contactInfoList
    */
    public List<String> getContactInfoList(){
        return this.contactInfoList;
    }

    /**
    * 设置 联系方式
    * @param contactInfoList
    */
    public void setContactInfoList(List<String> contactInfoList){
        this.contactInfoList = contactInfoList;
    }

    /**
    * 获取 联系方式
    * @return contactInfoNotList
    */
    public List<String> getContactInfoNotList(){
        return this.contactInfoNotList;
    }

    /**
    * 设置 联系方式
    * @param contactInfoNotList
    */
    public void setContactInfoNotList(List<String> contactInfoNotList){
        this.contactInfoNotList = contactInfoNotList;
    }

    /**
    * 获取 身份证号码
    * @return idNumberList
    */
    public List<String> getIdNumberList(){
        return this.idNumberList;
    }

    /**
    * 设置 身份证号码
    * @param idNumberList
    */
    public void setIdNumberList(List<String> idNumberList){
        this.idNumberList = idNumberList;
    }

    /**
    * 获取 身份证号码
    * @return idNumberNotList
    */
    public List<String> getIdNumberNotList(){
        return this.idNumberNotList;
    }

    /**
    * 设置 身份证号码
    * @param idNumberNotList
    */
    public void setIdNumberNotList(List<String> idNumberNotList){
        this.idNumberNotList = idNumberNotList;
    }

    /**
    * 获取 预约业务
    * @return reservationServiceList
    */
    public List<String> getReservationServiceList(){
        return this.reservationServiceList;
    }

    /**
    * 设置 预约业务
    * @param reservationServiceList
    */
    public void setReservationServiceList(List<String> reservationServiceList){
        this.reservationServiceList = reservationServiceList;
    }

    /**
    * 获取 预约业务
    * @return reservationServiceNotList
    */
    public List<String> getReservationServiceNotList(){
        return this.reservationServiceNotList;
    }

    /**
    * 设置 预约业务
    * @param reservationServiceNotList
    */
    public void setReservationServiceNotList(List<String> reservationServiceNotList){
        this.reservationServiceNotList = reservationServiceNotList;
    }

    /**
    * 获取 预约编号
    * @return reservationNumberList
    */
    public List<String> getReservationNumberList(){
        return this.reservationNumberList;
    }

    /**
    * 设置 预约编号
    * @param reservationNumberList
    */
    public void setReservationNumberList(List<String> reservationNumberList){
        this.reservationNumberList = reservationNumberList;
    }

    /**
    * 获取 预约编号
    * @return reservationNumberNotList
    */
    public List<String> getReservationNumberNotList(){
        return this.reservationNumberNotList;
    }

    /**
    * 设置 预约编号
    * @param reservationNumberNotList
    */
    public void setReservationNumberNotList(List<String> reservationNumberNotList){
        this.reservationNumberNotList = reservationNumberNotList;
    }

    /**
    * 获取 开始 监测时间
    * @return monitorTimeStart
    */
    public String getMonitorTimeStart(){
        return this.monitorTimeStart;
    }

    /**
    * 设置 开始 监测时间
    * @param monitorTimeStart
    */
    public void setMonitorTimeStart(String monitorTimeStart){
        this.monitorTimeStart = monitorTimeStart;
    }

    /**
    * 获取 结束 监测时间
    * @return monitorTimeEnd
    */
    public String getMonitorTimeEnd(){
        return this.monitorTimeEnd;
    }

    /**
    * 设置 结束 监测时间
    * @param monitorTimeEnd
    */
    public void setMonitorTimeEnd(String monitorTimeEnd){
        this.monitorTimeEnd = monitorTimeEnd;
    }

    /**
    * 获取 开始 监测设备id
    * @return monitorDeviceIdStart
    */
    public Long getMonitorDeviceIdStart(){
        return this.monitorDeviceIdStart;
    }

    /**
    * 设置 开始 监测设备id
    * @param monitorDeviceIdStart
    */
    public void setMonitorDeviceIdStart(Long monitorDeviceIdStart){
        this.monitorDeviceIdStart = monitorDeviceIdStart;
    }

    /**
    * 获取 结束 监测设备id
    * @return $monitorDeviceIdEnd
    */
    public Long getMonitorDeviceIdEnd(){
        return this.monitorDeviceIdEnd;
    }

    /**
    * 设置 结束 监测设备id
    * @param monitorDeviceIdEnd
    */
    public void setMonitorDeviceIdEnd(Long monitorDeviceIdEnd){
        this.monitorDeviceIdEnd = monitorDeviceIdEnd;
    }

    /**
    * 获取 增加 监测设备id
    * @return monitorDeviceIdIncrement
    */
    public Long getMonitorDeviceIdIncrement(){
        return this.monitorDeviceIdIncrement;
    }

    /**
    * 设置 增加 监测设备id
    * @param monitorDeviceIdIncrement
    */
    public void setMonitorDeviceIdIncrement(Long monitorDeviceIdIncrement){
        this.monitorDeviceIdIncrement = monitorDeviceIdIncrement;
    }

    /**
    * 获取 监测设备id
    * @return monitorDeviceIdList
    */
    public List<Long> getMonitorDeviceIdList(){
        return this.monitorDeviceIdList;
    }

    /**
    * 设置 监测设备id
    * @param monitorDeviceIdList
    */
    public void setMonitorDeviceIdList(List<Long> monitorDeviceIdList){
        this.monitorDeviceIdList = monitorDeviceIdList;
    }

    /**
    * 获取 监测设备id
    * @return monitorDeviceIdNotList
    */
    public List<Long> getMonitorDeviceIdNotList(){
        return this.monitorDeviceIdNotList;
    }

    /**
    * 设置 监测设备id
    * @param monitorDeviceIdNotList
    */
    public void setMonitorDeviceIdNotList(List<Long> monitorDeviceIdNotList){
        this.monitorDeviceIdNotList = monitorDeviceIdNotList;
    }


    /**
    * 获取 监测设备
    * @return monitorDeviceList
    */
    public List<String> getMonitorDeviceList(){
        return this.monitorDeviceList;
    }

    /**
    * 设置 监测设备
    * @param monitorDeviceList
    */
    public void setMonitorDeviceList(List<String> monitorDeviceList){
        this.monitorDeviceList = monitorDeviceList;
    }

    /**
    * 获取 监测设备
    * @return monitorDeviceNotList
    */
    public List<String> getMonitorDeviceNotList(){
        return this.monitorDeviceNotList;
    }

    /**
    * 设置 监测设备
    * @param monitorDeviceNotList
    */
    public void setMonitorDeviceNotList(List<String> monitorDeviceNotList){
        this.monitorDeviceNotList = monitorDeviceNotList;
    }

    /**
    * 获取 开始 签到方式(0.自动签到，1.手动签到)
    * @return checkInMethodStart
    */
    public Integer getCheckInMethodStart(){
        return this.checkInMethodStart;
    }

    /**
    * 设置 开始 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodStart
    */
    public void setCheckInMethodStart(Integer checkInMethodStart){
        this.checkInMethodStart = checkInMethodStart;
    }

    /**
    * 获取 结束 签到方式(0.自动签到，1.手动签到)
    * @return $checkInMethodEnd
    */
    public Integer getCheckInMethodEnd(){
        return this.checkInMethodEnd;
    }

    /**
    * 设置 结束 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodEnd
    */
    public void setCheckInMethodEnd(Integer checkInMethodEnd){
        this.checkInMethodEnd = checkInMethodEnd;
    }

    /**
    * 获取 增加 签到方式(0.自动签到，1.手动签到)
    * @return checkInMethodIncrement
    */
    public Integer getCheckInMethodIncrement(){
        return this.checkInMethodIncrement;
    }

    /**
    * 设置 增加 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodIncrement
    */
    public void setCheckInMethodIncrement(Integer checkInMethodIncrement){
        this.checkInMethodIncrement = checkInMethodIncrement;
    }

    /**
    * 获取 签到方式(0.自动签到，1.手动签到)
    * @return checkInMethodList
    */
    public List<Integer> getCheckInMethodList(){
        return this.checkInMethodList;
    }

    /**
    * 设置 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodList
    */
    public void setCheckInMethodList(List<Integer> checkInMethodList){
        this.checkInMethodList = checkInMethodList;
    }

    /**
    * 获取 签到方式(0.自动签到，1.手动签到)
    * @return checkInMethodNotList
    */
    public List<Integer> getCheckInMethodNotList(){
        return this.checkInMethodNotList;
    }

    /**
    * 设置 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodNotList
    */
    public void setCheckInMethodNotList(List<Integer> checkInMethodNotList){
        this.checkInMethodNotList = checkInMethodNotList;
    }


    /**
    * 获取 监测凭证
    * @return monitorCertificateList
    */
    public List<String> getMonitorCertificateList(){
        return this.monitorCertificateList;
    }

    /**
    * 设置 监测凭证
    * @param monitorCertificateList
    */
    public void setMonitorCertificateList(List<String> monitorCertificateList){
        this.monitorCertificateList = monitorCertificateList;
    }

    /**
    * 获取 监测凭证
    * @return monitorCertificateNotList
    */
    public List<String> getMonitorCertificateNotList(){
        return this.monitorCertificateNotList;
    }

    /**
    * 设置 监测凭证
    * @param monitorCertificateNotList
    */
    public void setMonitorCertificateNotList(List<String> monitorCertificateNotList){
        this.monitorCertificateNotList = monitorCertificateNotList;
    }

    /**
    * 获取 开始 创建人id
    * @return createUserIdStart
    */
    public Long getCreateUserIdStart(){
        return this.createUserIdStart;
    }

    /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public void setCreateUserIdStart(Long createUserIdStart){
        this.createUserIdStart = createUserIdStart;
    }

    /**
    * 获取 结束 创建人id
    * @return $createUserIdEnd
    */
    public Long getCreateUserIdEnd(){
        return this.createUserIdEnd;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public void setCreateUserIdEnd(Long createUserIdEnd){
        this.createUserIdEnd = createUserIdEnd;
    }

    /**
    * 获取 增加 创建人id
    * @return createUserIdIncrement
    */
    public Long getCreateUserIdIncrement(){
        return this.createUserIdIncrement;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public void setCreateUserIdIncrement(Long createUserIdIncrement){
        this.createUserIdIncrement = createUserIdIncrement;
    }

    /**
    * 获取 创建人id
    * @return createUserIdList
    */
    public List<Long> getCreateUserIdList(){
        return this.createUserIdList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public void setCreateUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
    }

    /**
    * 获取 创建人id
    * @return createUserIdNotList
    */
    public List<Long> getCreateUserIdNotList(){
        return this.createUserIdNotList;
    }

    /**
    * 设置 创建人id
    * @param createUserIdNotList
    */
    public void setCreateUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
    }


    /**
    * 获取 开始 创建时间
    * @return createTimeStart
    */
    public String getCreateTimeStart(){
        return this.createTimeStart;
    }

    /**
    * 设置 开始 创建时间
    * @param createTimeStart
    */
    public void setCreateTimeStart(String createTimeStart){
        this.createTimeStart = createTimeStart;
    }

    /**
    * 获取 结束 创建时间
    * @return createTimeEnd
    */
    public String getCreateTimeEnd(){
        return this.createTimeEnd;
    }

    /**
    * 设置 结束 创建时间
    * @param createTimeEnd
    */
    public void setCreateTimeEnd(String createTimeEnd){
        this.createTimeEnd = createTimeEnd;
    }

    /**
    * 获取 开始 更新人id
    * @return updateUserIdStart
    */
    public Long getUpdateUserIdStart(){
        return this.updateUserIdStart;
    }

    /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public void setUpdateUserIdStart(Long updateUserIdStart){
        this.updateUserIdStart = updateUserIdStart;
    }

    /**
    * 获取 结束 更新人id
    * @return $updateUserIdEnd
    */
    public Long getUpdateUserIdEnd(){
        return this.updateUserIdEnd;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public void setUpdateUserIdEnd(Long updateUserIdEnd){
        this.updateUserIdEnd = updateUserIdEnd;
    }

    /**
    * 获取 增加 更新人id
    * @return updateUserIdIncrement
    */
    public Long getUpdateUserIdIncrement(){
        return this.updateUserIdIncrement;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public void setUpdateUserIdIncrement(Long updateUserIdIncrement){
        this.updateUserIdIncrement = updateUserIdIncrement;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdList
    */
    public List<Long> getUpdateUserIdList(){
        return this.updateUserIdList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public void setUpdateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
    }

    /**
    * 获取 更新人id
    * @return updateUserIdNotList
    */
    public List<Long> getUpdateUserIdNotList(){
        return this.updateUserIdNotList;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdNotList
    */
    public void setUpdateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
    }


    /**
    * 获取 开始 更新时间
    * @return updateTimeStart
    */
    public String getUpdateTimeStart(){
        return this.updateTimeStart;
    }

    /**
    * 设置 开始 更新时间
    * @param updateTimeStart
    */
    public void setUpdateTimeStart(String updateTimeStart){
        this.updateTimeStart = updateTimeStart;
    }

    /**
    * 获取 结束 更新时间
    * @return updateTimeEnd
    */
    public String getUpdateTimeEnd(){
        return this.updateTimeEnd;
    }

    /**
    * 设置 结束 更新时间
    * @param updateTimeEnd
    */
    public void setUpdateTimeEnd(String updateTimeEnd){
        this.updateTimeEnd = updateTimeEnd;
    }

    /**
    * 设置  主键ID，主键，自增长
    * @param id
    */
    public AppointmentRecordsQuery id(Long id){
	    setId(id);
		return this;
    }
	
	 /**
    * 设置 开始 主键ID，主键，自增长
    * @param idStart
    */
    public AppointmentRecordsQuery idStart(Long idStart){
		this.idStart = idStart;
		return this;
    }

    /**
    * 设置 结束 主键ID，主键，自增长
    * @param idEnd
    */
    public AppointmentRecordsQuery idEnd(Long idEnd){
		this.idEnd = idEnd;
		return this;
    }

    /**
    * 设置 增加 主键ID，主键，自增长
    * @param idIncrement
    */
    public AppointmentRecordsQuery idIncrement(Long idIncrement){
		this.idIncrement = idIncrement;
		return this;
    }

    /**
    * 设置 主键ID，主键，自增长
    * @param idList
    */
    public AppointmentRecordsQuery idList(List<Long> idList){
        this.idList = idList;
		return this;
        }

        /**
        * 设置 主键ID，主键，自增长
        * @param idNotList
        */
        public AppointmentRecordsQuery idNotList(List<Long> idNotList){
        this.idNotList = idNotList;
        return this;
        }

    /**
    * 设置  站点Id
    * @param siteId
    */
    public AppointmentRecordsQuery siteId(Long siteId){
	    setSiteId(siteId);
		return this;
    }
	
	 /**
    * 设置 开始 站点Id
    * @param siteIdStart
    */
    public AppointmentRecordsQuery siteIdStart(Long siteIdStart){
		this.siteIdStart = siteIdStart;
		return this;
    }

    /**
    * 设置 结束 站点Id
    * @param siteIdEnd
    */
    public AppointmentRecordsQuery siteIdEnd(Long siteIdEnd){
		this.siteIdEnd = siteIdEnd;
		return this;
    }

    /**
    * 设置 增加 站点Id
    * @param siteIdIncrement
    */
    public AppointmentRecordsQuery siteIdIncrement(Long siteIdIncrement){
		this.siteIdIncrement = siteIdIncrement;
		return this;
    }

    /**
    * 设置 站点Id
    * @param siteIdList
    */
    public AppointmentRecordsQuery siteIdList(List<Long> siteIdList){
        this.siteIdList = siteIdList;
		return this;
        }

        /**
        * 设置 站点Id
        * @param siteIdNotList
        */
        public AppointmentRecordsQuery siteIdNotList(List<Long> siteIdNotList){
        this.siteIdNotList = siteIdNotList;
        return this;
        }


	/**
    * 设置 站点名称
    * @param siteName
    */
    public AppointmentRecordsQuery siteName(String siteName){
        setSiteName(siteName);
		return this;
    }

    /**
    * 设置 站点名称
    * @param siteNameList
    */
    public AppointmentRecordsQuery siteNameList(List<String> siteNameList){
        this.siteNameList = siteNameList;
		return this;
    }

    /**
    * 设置  人员id
    * @param personId
    */
    public AppointmentRecordsQuery personId(Long personId){
	    setPersonId(personId);
		return this;
    }
	
	 /**
    * 设置 开始 人员id
    * @param personIdStart
    */
    public AppointmentRecordsQuery personIdStart(Long personIdStart){
		this.personIdStart = personIdStart;
		return this;
    }

    /**
    * 设置 结束 人员id
    * @param personIdEnd
    */
    public AppointmentRecordsQuery personIdEnd(Long personIdEnd){
		this.personIdEnd = personIdEnd;
		return this;
    }

    /**
    * 设置 增加 人员id
    * @param personIdIncrement
    */
    public AppointmentRecordsQuery personIdIncrement(Long personIdIncrement){
		this.personIdIncrement = personIdIncrement;
		return this;
    }

    /**
    * 设置 人员id
    * @param personIdList
    */
    public AppointmentRecordsQuery personIdList(List<Long> personIdList){
        this.personIdList = personIdList;
		return this;
        }

        /**
        * 设置 人员id
        * @param personIdNotList
        */
        public AppointmentRecordsQuery personIdNotList(List<Long> personIdNotList){
        this.personIdNotList = personIdNotList;
        return this;
        }


	/**
    * 设置 姓名
    * @param name
    */
    public AppointmentRecordsQuery name(String name){
        setName(name);
		return this;
    }

    /**
    * 设置 姓名
    * @param nameList
    */
    public AppointmentRecordsQuery nameList(List<String> nameList){
        this.nameList = nameList;
		return this;
    }


	/**
    * 设置 联系方式
    * @param contactInfo
    */
    public AppointmentRecordsQuery contactInfo(String contactInfo){
        setContactInfo(contactInfo);
		return this;
    }

    /**
    * 设置 联系方式
    * @param contactInfoList
    */
    public AppointmentRecordsQuery contactInfoList(List<String> contactInfoList){
        this.contactInfoList = contactInfoList;
		return this;
    }


	/**
    * 设置 身份证号码
    * @param idNumber
    */
    public AppointmentRecordsQuery idNumber(String idNumber){
        setIdNumber(idNumber);
		return this;
    }

    /**
    * 设置 身份证号码
    * @param idNumberList
    */
    public AppointmentRecordsQuery idNumberList(List<String> idNumberList){
        this.idNumberList = idNumberList;
		return this;
    }


	/**
    * 设置 预约业务
    * @param reservationService
    */
    public AppointmentRecordsQuery reservationService(String reservationService){
        setReservationService(reservationService);
		return this;
    }

    /**
    * 设置 预约业务
    * @param reservationServiceList
    */
    public AppointmentRecordsQuery reservationServiceList(List<String> reservationServiceList){
        this.reservationServiceList = reservationServiceList;
		return this;
    }


	/**
    * 设置 预约编号
    * @param reservationNumber
    */
    public AppointmentRecordsQuery reservationNumber(String reservationNumber){
        setReservationNumber(reservationNumber);
		return this;
    }

    /**
    * 设置 预约编号
    * @param reservationNumberList
    */
    public AppointmentRecordsQuery reservationNumberList(List<String> reservationNumberList){
        this.reservationNumberList = reservationNumberList;
		return this;
    }


    /**
    * 设置  监测设备id
    * @param monitorDeviceId
    */
    public AppointmentRecordsQuery monitorDeviceId(Long monitorDeviceId){
	    setMonitorDeviceId(monitorDeviceId);
		return this;
    }
	
	 /**
    * 设置 开始 监测设备id
    * @param monitorDeviceIdStart
    */
    public AppointmentRecordsQuery monitorDeviceIdStart(Long monitorDeviceIdStart){
		this.monitorDeviceIdStart = monitorDeviceIdStart;
		return this;
    }

    /**
    * 设置 结束 监测设备id
    * @param monitorDeviceIdEnd
    */
    public AppointmentRecordsQuery monitorDeviceIdEnd(Long monitorDeviceIdEnd){
		this.monitorDeviceIdEnd = monitorDeviceIdEnd;
		return this;
    }

    /**
    * 设置 增加 监测设备id
    * @param monitorDeviceIdIncrement
    */
    public AppointmentRecordsQuery monitorDeviceIdIncrement(Long monitorDeviceIdIncrement){
		this.monitorDeviceIdIncrement = monitorDeviceIdIncrement;
		return this;
    }

    /**
    * 设置 监测设备id
    * @param monitorDeviceIdList
    */
    public AppointmentRecordsQuery monitorDeviceIdList(List<Long> monitorDeviceIdList){
        this.monitorDeviceIdList = monitorDeviceIdList;
		return this;
        }

        /**
        * 设置 监测设备id
        * @param monitorDeviceIdNotList
        */
        public AppointmentRecordsQuery monitorDeviceIdNotList(List<Long> monitorDeviceIdNotList){
        this.monitorDeviceIdNotList = monitorDeviceIdNotList;
        return this;
        }


	/**
    * 设置 监测设备
    * @param monitorDevice
    */
    public AppointmentRecordsQuery monitorDevice(String monitorDevice){
        setMonitorDevice(monitorDevice);
		return this;
    }

    /**
    * 设置 监测设备
    * @param monitorDeviceList
    */
    public AppointmentRecordsQuery monitorDeviceList(List<String> monitorDeviceList){
        this.monitorDeviceList = monitorDeviceList;
		return this;
    }

    /**
    * 设置  签到方式(0.自动签到，1.手动签到)
    * @param checkInMethod
    */
    public AppointmentRecordsQuery checkInMethod(Integer checkInMethod){
	    setCheckInMethod(checkInMethod);
		return this;
    }
	
	 /**
    * 设置 开始 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodStart
    */
    public AppointmentRecordsQuery checkInMethodStart(Integer checkInMethodStart){
		this.checkInMethodStart = checkInMethodStart;
		return this;
    }

    /**
    * 设置 结束 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodEnd
    */
    public AppointmentRecordsQuery checkInMethodEnd(Integer checkInMethodEnd){
		this.checkInMethodEnd = checkInMethodEnd;
		return this;
    }

    /**
    * 设置 增加 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodIncrement
    */
    public AppointmentRecordsQuery checkInMethodIncrement(Integer checkInMethodIncrement){
		this.checkInMethodIncrement = checkInMethodIncrement;
		return this;
    }

    /**
    * 设置 签到方式(0.自动签到，1.手动签到)
    * @param checkInMethodList
    */
    public AppointmentRecordsQuery checkInMethodList(List<Integer> checkInMethodList){
        this.checkInMethodList = checkInMethodList;
		return this;
        }

        /**
        * 设置 签到方式(0.自动签到，1.手动签到)
        * @param checkInMethodNotList
        */
        public AppointmentRecordsQuery checkInMethodNotList(List<Integer> checkInMethodNotList){
        this.checkInMethodNotList = checkInMethodNotList;
        return this;
        }


	/**
    * 设置 监测凭证
    * @param monitorCertificate
    */
    public AppointmentRecordsQuery monitorCertificate(String monitorCertificate){
        setMonitorCertificate(monitorCertificate);
		return this;
    }

    /**
    * 设置 监测凭证
    * @param monitorCertificateList
    */
    public AppointmentRecordsQuery monitorCertificateList(List<String> monitorCertificateList){
        this.monitorCertificateList = monitorCertificateList;
		return this;
    }

    /**
    * 设置  创建人id
    * @param createUserId
    */
    public AppointmentRecordsQuery createUserId(Long createUserId){
	    setCreateUserId(createUserId);
		return this;
    }
	
	 /**
    * 设置 开始 创建人id
    * @param createUserIdStart
    */
    public AppointmentRecordsQuery createUserIdStart(Long createUserIdStart){
		this.createUserIdStart = createUserIdStart;
		return this;
    }

    /**
    * 设置 结束 创建人id
    * @param createUserIdEnd
    */
    public AppointmentRecordsQuery createUserIdEnd(Long createUserIdEnd){
		this.createUserIdEnd = createUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 创建人id
    * @param createUserIdIncrement
    */
    public AppointmentRecordsQuery createUserIdIncrement(Long createUserIdIncrement){
		this.createUserIdIncrement = createUserIdIncrement;
		return this;
    }

    /**
    * 设置 创建人id
    * @param createUserIdList
    */
    public AppointmentRecordsQuery createUserIdList(List<Long> createUserIdList){
        this.createUserIdList = createUserIdList;
		return this;
        }

        /**
        * 设置 创建人id
        * @param createUserIdNotList
        */
        public AppointmentRecordsQuery createUserIdNotList(List<Long> createUserIdNotList){
        this.createUserIdNotList = createUserIdNotList;
        return this;
        }


    /**
    * 设置  更新人id
    * @param updateUserId
    */
    public AppointmentRecordsQuery updateUserId(Long updateUserId){
	    setUpdateUserId(updateUserId);
		return this;
    }
	
	 /**
    * 设置 开始 更新人id
    * @param updateUserIdStart
    */
    public AppointmentRecordsQuery updateUserIdStart(Long updateUserIdStart){
		this.updateUserIdStart = updateUserIdStart;
		return this;
    }

    /**
    * 设置 结束 更新人id
    * @param updateUserIdEnd
    */
    public AppointmentRecordsQuery updateUserIdEnd(Long updateUserIdEnd){
		this.updateUserIdEnd = updateUserIdEnd;
		return this;
    }

    /**
    * 设置 增加 更新人id
    * @param updateUserIdIncrement
    */
    public AppointmentRecordsQuery updateUserIdIncrement(Long updateUserIdIncrement){
		this.updateUserIdIncrement = updateUserIdIncrement;
		return this;
    }

    /**
    * 设置 更新人id
    * @param updateUserIdList
    */
    public AppointmentRecordsQuery updateUserIdList(List<Long> updateUserIdList){
        this.updateUserIdList = updateUserIdList;
		return this;
        }

        /**
        * 设置 更新人id
        * @param updateUserIdNotList
        */
        public AppointmentRecordsQuery updateUserIdNotList(List<Long> updateUserIdNotList){
        this.updateUserIdNotList = updateUserIdNotList;
        return this;
        }


    /**
    * 获取 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @return orConditionList
    */
    public List<AppointmentRecordsQuery> getOrConditionList(){
    return this.orConditionList;
    }

    /**
    * 设置 OR条件集合，列表项之间是OR，项内容之间是AND，如：(list[0].1 and list[0].2) or (list[1].3 and list[1].4)
    * @param orConditionList
    */
    public void setOrConditionList(List<AppointmentRecordsQuery> orConditionList){
        this.orConditionList = orConditionList;
    }

    /**
    * 获取 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @return andConditionList
    */
    public List<AppointmentRecordsQuery> getAndConditionList(){
        return this.andConditionList;
    }

    /**
    * 设置 AND条件集合，列表项之间是AND，项内容之间是OR，如：(list[0].1 or list[0].2) and (list[1].3 or list[1].4)
    * @param andConditionList
    */
    public void setAndConditionList(List<AppointmentRecordsQuery> andConditionList){
        this.andConditionList = andConditionList;
    }

}